%define ver	4.52
%define rel	0%{?dist}.1sunshine

Name:		di
Summary:	Disk information
Version:	%{ver}
Release:	%{rel}
License:	MIT
Group:		Applications/File
URL:		https://diskinfo-di.sourceforge.io/
Source:		https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		di-4.48-qr_status.patch
BuildRequires:  gcc
BuildRequires:  gettext
%if 0%{?fedora} >= 22
BuildRequires:	perl-interpreter
%else
BuildRequires:	perl
%endif

%description
'di' is a disk information utility, displaying everything (and more) that
the known 'df' command does. It features the ability to display disk usage
in whatever format you desire/prefer/are used to.

%prep
%setup -q
%patch0 -p1 -b .qr_status

%build
make all-perl CFLAGS="%{optflags}" prefix=%{_prefix} MANPATH=%{_mandir} %{_smp_mflags}

%install
make install CFLAGS="%{optflags}" CP="cp -p" prefix=%{buildroot}%{_prefix} MANPATH=%{buildroot}%{_mandir}
rm -f %{buildroot}%{_bindir}/mi && ln -s di %{buildroot}%{_bindir}/mi
rm -f %{buildroot}%{_mandir}/man1/mi.1 && ln -s di.1 %{buildroot}%{_mandir}/man1/mi.1

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/man1/*

%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.txt ChangeLog.txt

%changelog
* Sun Oct 22 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 4.52-0.1sunshine
- update to 4.52

* Thu Dec 02 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 4.51-0.1sunshine
- update to 4.51

* Mon Apr 12 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 4.50-0.2sunshine
- package the new ChangeLog.txt

* Mon Apr 12 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 4.50-0.1sunshine
- update to 4.50
- update URL and Source URL

* Mon Jun 08 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 4.48-0.1sunshine
- update to 4.48
- add a patch for gqr_status vs. qr_status

* Sun Apr 26 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 4.47.3-0.4sunshine
- provide mi man page as symbolic link

* Tue Jan 07 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 4.47.3-0.3sunshine
- add BR gcc
- add BR gettext for translations

* Tue Jan 07 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 4.47.3-0.2sunshine
- modernize spec by dropping outdated macros and constructs, and adapting BRs
  to newer Fedoras
- preserve man page date
  
* Tue Jan 07 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 4.47.3-0.1sunshine
- update to 4.47.3

* Fri Nov 01 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 4.47.2-0.1sunshine
- update to 4.47.2

* Thu Jun 27 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 4.47.1-0.1sunshine
- update to 4.47.1
- fix URL/Source

* Wed Jun 21 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 4.44-0.1sunshine
- update to 4.44
- mark License as MIT
- use %%license tag where available

* Mon Feb 17 2014 Moritz Barsnick <moritz+rpm@barsnick.net> 4.35-0.1sunshine
- update to 4.35

* Mon Jan 21 2013 Moritz Barsnick <moritz+rpm@barsnick.net> 4.34-0.1sunshine
- update to 4.34

* Sun Nov 18 2012 Moritz Barsnick <moritz+rpm@barsnick.net> 4.33-0.1sunshine
- update to 4.33

* Thu Oct 25 2012 Moritz Barsnick <moritz+rpm@barsnick.net> 4.32-0.1sunshine
- update to 4.32

* Tue Nov 22 2011 Moritz Barsnick <moritz+rpm@barsnick.net> 4.31-0.1sunshine
- update to 4.31

* Mon Oct 10 2011 Moritz Barsnick <moritz+rpm@barsnick.net> 4.30-0.1sunshine
- update to 4.30

* Mon Oct 03 2011 Moritz Barsnick <moritz+rpm@barsnick.net> 4.29-0.1sunshine
- update to 4.29

* Tue Sep 13 2011 Moritz Barsnick <moritz+rpm@barsnick.net> 4.28-0.1sunshine
- update to 4.28

* Tue Jan 04 2011 Moritz Barsnick <moritz+rpm@barsnick.net> 4.27-0.1sunshine
- update to 4.27

* Tue Aug 03 2010 Moritz Barsnick <moritz+rpm@barsnick.net> 4.26-0.1sunshine
- update to 4.26

* Mon Jul 05 2010 Moritz Barsnick <moritz+rpm@barsnick.net> 4.25-0.1sunshine
- update to 4.25

* Sun May 16 2010 Moritz Barsnick <moritz+rpm@barsnick.net> 4.24-0.1sunshine
- update to 4.24

* Tue May 11 2010 Moritz Barsnick <moritz+rpm@barsnick.net> 4.23-0.1sunshine
- update to 4.23
- remove the patches, they haven't been used for ages

* Tue Apr 20 2010 Moritz Barsnick <moritz+rpm@barsnick.net> 4.21-0.1sunshine
- update to 4.21
- use new normed BuildRoot
- adapt to new build method (using the preferred perl variant), with BR perl
- use more macros

* Tue Feb 02 2010 Moritz Barsnick <moritz+rpm@barsnick.net> 4.19-0.1sunshine
- update to 4.19
- use normed BuildRoot

* Tue Dec 01 2009 Moritz Barsnick <moritz+rpm@barsnick.net> 4.18-0.1sunshine
- update to 4.18
- force use of perl for configure (now that it's optional)

* Mon Nov 23 2009 Moritz Barsnick <moritz+rpm@barsnick.net> 4.17-0.1sunshine
- update to 4.17
- add BR perl

* Mon Sep 21 2009 Moritz Barsnick <moritz+rpm@barsnick.net> 4.16-0.1sunshine
- update to 4.16

* Fri Sep 11 2009 Moritz Barsnick <moritz+rpm@barsnick.net> 4.14-0.1sunshine
- update to 4.14

* Mon Feb 16 2009 Moritz Barsnick <moritz+rpm@barsnick.net> 4.13-0.2sunshine
- rebuild for F10 on sunshine

* Wed Dec 03 2008 Moritz Barsnick <moritz+rpm@barsnick.net> 4.13-0.1sunshine
- update to 4.13

* Sat May 10 2008 Moritz Barsnick <moritz+rpm@barsnick.net> 4.12-0.1sunshine
- update to 4.12
- use %%{dist} tag
- use %%find_lang for locale files

* Wed Feb 28 2007 Moritz Barsnick <moritz+rpm@barsnick.net> 4.10-0.1sunshine
- update to 4.10
- package locale files

* Fri Mar 19 2004 Moritz Barsnick <moritz+rpm@barsnick.net> 3.11-1sunshine
- first RPM
- add patch for being able to set man path
- add patch to make mkdir use "-p" (will otherwise fail in the %%{buildroot})
- add patch to force links being symbolic, but don't use (manually fix
  instead)
